APIs / Google Flights / Date Range

Google Flights: Date Range

Date Range from Google Flights as JSON. 1 credit per successful call.

GET /v1/google-flights/date-range

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
originstringRequiredUp to 3 characters
destinationstringRequiredUp to 3 characters
adultsintegerOptionalAny
childrenintegerOptionalAny
infants_in_seatintegerOptionalAny
infants_on_lapintegerOptionalAny
cabin_classstringOptionaleconomy, premium_economy, business, first
exclude_basicbooleanOptionalAny
max_stopsstringOptionalany, nonstop, one_or_fewer, two_or_fewer
hlstringOptionalAny
glstringOptionalAny
currencystringOptionalUp to 3 characters
outbound_timesstringOptionalAny
bagsintegerOptional0
api_versionintegerOptional2
from_datestringRequiredAny
to_datestringRequiredAny
trip_durationintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-flights/date-range?origin=JFK&destination=LAX&from_date=2026-09-01&to_date=2026-09-30" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.